Bug 110748 - gnome-vfs should BuildRequires: intltool
gnome-vfs should BuildRequires: intltool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-vfs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 08:49 EST by Maxim Dziumanenko
Modified: 2013-03-05 22:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-24 23:00:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-24 08:49:57 EST
Description of problem:
aclocal-1.4 complains about missing AM_PROG_XML_I18N_TOOLS macro
(which provided by xml-i18n-tools.m4 file from intltool package),
if build gnome-vfs without intltool installed


Version-Release number of selected component (if applicable):
gnome-vfs-1.0.5-15

How reproducible:
Always

Steps to Reproduce:
1.rpm -e intltool
2.rpmbuild --rebuild gnome-vfs-1.0.5-15.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-24 09:55:34 EST
Triage->Easyfix
Comment 2 Warren Togami 2004-04-11 05:19:01 EDT
Patch #3 (gnome-vfs-1.0.5-mimesniffcrash-backport.patch):
+ patch -p1 -b --suffix .mimecrash -s
+ tar zxf /usr/src/rpm/SOURCES/macros.tar.gz
+ tar zxf /usr/src/rpm/SOURCES/gnome-vfs-pofiles.tar.gz
+ mkdir tmp-macros
+ cp libgnomevfs/libcharset/codeset.m4
libgnomevfs/libcharset/glibc21.m4 tmp-macros
+ rm tmp-macros/glibc21.m4
+ aclocal-1.4 -I macros -I tmp-macros
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found
in library
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found
in library
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found
in library
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found
in library
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found
in library
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found
in library
aclocal: configure.in: 187: macro `AM_LC_MESSAGES' not found in library
error: Bad exit status from /var/tmp/rpm-tmp.72500 (%prep)
Comment 3 Warren Togami 2004-04-11 05:19:29 EDT
This was after adding intltool and libtool.
Comment 4 Warren Togami 2004-04-11 19:00:58 EDT
and gettext

rawhide soon
Comment 5 Warren Togami 2004-04-11 19:29:52 EDT
build failure on x86-64, investigating

Note You need to log in before you can comment on or make changes to this bug.